Forum: Ruby on Rails Ruby 1.8.4 on Debian stable

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
Tom T. (Guest)
on 2006-04-01 14:14
(Received via mailing list)
Has anyone managed to find a nice and easy way of upgrading to Ruby
1.8.4
on Debian stable? I'm not too adverse to installing an extra repository,
and would like to avoid compiling it myself. Stability isn't a *major*
issue; this machine won't be in 'real' production.

There's nothing particularly obvious when searching Google.

I'm doing this so I can use Mongrel.

Cheers,

Tom
Bradley T. (Guest)
on 2006-04-01 17:48
(Received via mailing list)
Hi Tom:

You can use a apt-pinning to only pull packages from unstable that
you need. This is useful for installing Ruby 1.8.4 and Lighttpd.
Here's a quick guide:

http://jaqque.sbih.org/kplug/apt-pinning.html

Good luck,
Bradley Taylor

------
Rails Machine
Simplified web application deployment
http://railsmachine.com
This topic is locked and can not be replied to.